
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "player_spinner"
	actor[cp_model_dir]				= "player"
	actor[cp_model_name]			= "spinner"

	actor[cp_actor_type]			= cat_bullet + cat_player

	actor[cp_hit_power]				= 40.0
	actor[cp_launch_scale_min]		= 65.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_particle_to_anim( "mainspin_d", "barb01", "spinner-trail" )
	c_add_particle_to_anim( "mainspin_d", "barb02", "spinner-trail" )
	c_add_particle_to_anim( "mainspin_d", "barb03", "spinner-trail" )
	c_add_sound_to_anim( "mainspin_d", "player-spinner", 50 )

